// 文章
import axios from "../util/ajax";

export default {
  //接入数据分析（柱状图）
  dashAccessDataAnalysisStat1(params){
    return axios.post('/dash/access/data/analysis/stat1', params)
  },
  //接入数据分析（饼图）
  dashAccessDataAnalysisStat2(params){
    return axios.post('/dash/access/data/analysis/stat2', params)
  },
  //获取交接班记录详情
  optPersonnelManagementShiftDetail(params){
    return axios.get('/opt/personnel/management/shift/detail', {params})
  },
//获取交接班记录分页
  optPersonnelManagementShiftAdd(params){
  return axios.post('/opt/personnel/management/shift/add', params)
},
  //获取交接班记录分页
  optPersonnelManagementShiftPage(params){
    return axios.get('/opt/personnel/management/shift/page', {params})
  },
  //编辑交接班记录
  optPersonnelManagementShiftEdit(params){
    return axios.post('/opt/personnel/management/shift/edit', params)
  },
  //删除交接班记录
  optPersonnelManagementShiftDelete(params){
    return axios.post('/opt/personnel/management/shift/delete', params)
  },
  //获取收费员信息分页
  optPersonnelManagementBasicPage(params){
    return axios.get('/opt/personnel/management/basic/page', {params})
  },
  //获取收费员信息分页
  optPersonnelManagementBasicDetail(params){
    return axios.get('/opt/personnel/management/basic/page', {params})
  },
  //编辑收费人员信息
  optPersonnelManagementBasicEdit(params){
    return axios.post('/opt/personnel/management/basic/edit', params)
  },
  //添加收费人员信息
  optPersonnelManagementBasicAdd(params){
    return axios.post('/opt/personnel/management/basic/add', params)
  },
  //删除收费人员信息
  optPersonnelManagementBasicDelete(params){
    return axios.post('/opt/personnel/management/basic/delete', params)
  },
  //收费员工作统计分页
  optPerformanceassesspage(params){
    return axios.get('/opt/performance/assess/page', {params})
  },
  //稽查员稽查工作统计
  optPerformanceAssessStat1page(params){
    return axios.get('/opt/performance/assess/stat1page', {params})
  },
  //收费人员被稽查统计
  optPerformanceAssessStat2page(params){
    return axios.get('/opt/performance/assess/stat2page', {params})
  },
  //获取欠费用户分页
  optDefaultingSubscrlberPage(params){
    return axios.get('/opt/defaulting/subscrlber/page', {params})
  },
  //添加推送消息
  optMessageManagementPushAdd(params){
    return axios.post('/opt/message/management/push/add', params)
  },
  //获取设备报警消息
  optMessageManagementDevicePage(params){
    return axios.get('/opt/message/management/device/page', {params})
  },
  //删除设备报警消息
  optMessageManagementDeviceDelete(params){
    return axios.post('/opt/message/management/device/delete', params)
  },
  //获取监控车辆消息
  optMessageManagementVehiclePage(params){
    return axios.get('/opt/message/management/vehicle/page', {params})
  },




}
