import axios from "@/util/ajax";

export default {
  //  停车场情况-列表
  tccqkListByPage(params) {
    return axios.get('/dash/parking/lot/situation/page', {params})
  },
  // 停车场情况-进场
  jcListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/inrecord', {params})
  },
  // 停车场情况-出场
  ccListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/outrecord', {params})
  },
  // 停车场情况-总览
  tccqkView(params) {
    return axios.get('/dash/parking/lot/situation/view', {params})
  },
  // 停车场码表
  parkDic(params) {
    return axios.get('/opt/common/select/park', {params})
  },
  // 预约停车-规则分页列表
  yytcListByPage(params) {
    return axios.get('/opt/appointment/rules/page', {params})
  },
  // 预约停车-添加规则
  addRule(params) {
    return axios.post('/opt/appointment/rules/add', params)
  },
  // 预约停车-修改规则
  editRule(params) {
    return axios.post('/opt/appointment/rules/edit', params)
  },
  // 预约停车-删除规则
  deleteRule(params) {
    return axios.post('/opt/appointment/rules/deleteById', params)
  },
  // 预约订单-预约订单分页列表
  orderListByPage(params) {
    return axios.get('/opt/appointment/rules/order/page', {params})
  },
  // 预约订单-退款记录
  refundListByPage(params) {
    return axios.get('/opt/appointment/rules/refund/page', {params})
  },
  // 概览系统_概览
  glxtView(params) {
    return axios.get('/opt/parking/index/view', {params})
  },
  // 概览系统_停车收入概览
  glxt1(params) {
    return axios.post('/opt/parking/index/stat1', params)
  },
  // 概览系统_停车记录
  glxt2(params) {
    return axios.post('/opt/parking/index/stat2', params)
  },
  // todo 停车订单查询_支付订单查询
  tcddcx1(params) {

  },
  // todo 停车订单查询_欠费订单查询
  tcddcx2(params) {

  },
  // todo 停车订单查询_查询欠费订单信息
  tcddcx3(params) {

  },
  // todo 停车订单查询_查询预付订单信息
  tcddcx4(params) {

  },
  // 停车纠错_分页列表
  tcjc(params) {
    return axios.get('/opt/parking/correction/page', {params})
  },
  // 停车纠错_详情
  tcjcDetail(params) {
    return axios.get('/opt/parking/correction/detail', {params})
  },
  // 泊位列表__分页列表
  berthListByPage(params) {
    return axios.get('/opt/berth/list/page', {params})
  },
  // 停车卡_规则分页列表
  tckListByPage(params) {
    return axios.get('/opt/parking/card/page', {params})
  },
  // 停车卡_添加规则
  addTckRule(params) {
    return axios.post('/opt/parking/card/add', params)
  },
  // 停车卡_修改规则
  editTckRule(params) {
    return axios.post('/opt/parking/card/edit', params)
  },
  // 停车卡_删除规则
  deleteEckRule(params) {
    return axios.post('/opt/parking/card/deleteById', params)
  },
  // 停车卡_查看订单分页列表
  tckOrderListByPage(params) {
    return axios.get('/opt/parking/card/order/page', {params})
  },
  // 停车卡_统计信息
  tckTjxxListByPage(params) {
    return axios.get('/opt/parking/card/stat/page', {params})
  },
  // 错峰停车_规则分页列表
  cftcListByPage(params) {
    return axios.get('/opt/parking/unpeak/page', {params})
  },
  // 错峰停车_添加规则
  addCftcRule(params) {
    return axios.post('/opt/parking/unpeak/add', params)
  },
  // 错峰停车_修改规则
  editCftcRule(params) {
    return axios.post('/opt/parking/unpeak/edit', params)
  },
  // 错峰停车_删除规则
  deleteCftcRule(params) {
    return axios.post('/opt/parking/unpeak/deleteById', params)
  },
  // 错峰停车_查看订单分页列表
  cftcOrderListByPage(params) {
    return axios.get('/opt/parking/unpeak/order/page', {params})
  },
  // 错峰停车_统计信息
  cftcTjxxListByPage(params) {
    return axios.get('/opt/parking/card/stat/page', {params})
  },
  // 应用配置_列表
  yypzListByPage(params) {
    return axios.get('/opt/pay/configuration/page', {params})
  },
  // 应用配置_添加
  addYypz(params) {
    return axios.post('/opt/pay/configuration/add', params)
  },
  // 应用配置_删除
  deleteYypz(params) {
    return axios.post('/opt/pay/configuration/delete', params)
  },
  // 应用配置_修改
  editYypz(params) {
    return axios.post('/opt/pay/configuration/edit', params)
  },
  // 支付商户_列表
  zfshListByPage(params) {
    return axios.get('/opt/payment/merchant/luohe/paymentmerchant/page', {params})
  },
  // 支付商户_添加
  addZfsh(params) {
    return axios.post('/opt/payment/merchant/luohe/paymentmerchant/add', params)
  },
  // 支付商户_修改
  editZfsh(params) {
    return axios.post('/opt/payment/merchant/luohe/paymentmerchant/edit', params)
  },
  // 支付商户_删除
  deleteZfsh(params) {
    return axios.post('/opt/payment/merchant/luohe/paymentmerchant/delete', params)
  },
  // 平台商户配置_列表
  ptshpzListByPage(params) {
    return axios.get('/opt/platform/merchant/page', {params})
  },
  // 平台商户配置_添加
  addPtshpz(params) {
    return axios.post('/opt/platform/merchant/add', params)
  },
  // 平台商户配置_修改
  editPtshpz(params) {
    return axios.post('/opt/platform/merchant/edit', params)
  },
  // 平台商户配置_删除
  deletePtshpz(params) {
    return axios.post('/opt/platform/merchant/delete', params)
  },
}
